---

driver:
  name: vagrant
  customize:
    memory: 4096
    cpus: 2

platforms:
  - name: centos-7.2
    driver_config:
      network:
      - ["private_network", {ip: "192.168.33.33"}]
      require_chef_omnibus: 12.19.36

provisioner:
  name: chef_zero

suites:
  - name: default
    run_list:
      - recipe[img-trials::default]
    data_bags_path: "test/integration/data_bags"
    attributes: {
      "hosts" : {
        "host_list" : {
          # Using AWS Public IP
          "minislaven1 minislaven1.alfresco.pri" : "54.243.196.20"
        }
      },
      "snort" : {
        "interface" : "enp0s3"
      },
      "nginx" : {
        "use_nossl_config" : true
      },
      "image" : {
        # Overrides systems@alfresco.com notifications
        "root_alias" : "devops@alfresco.com"
      },
      "chef_client" : {
        "source_cookbook_path" : "/tmp/kitchen/cookbooks",
        "source_data_bag_path" : "/tmp/kitchen/data_bags"
      },
      "artifact-deployer" : {
        "maven" : {
          "timeout" : 1500,
          "repositories" : {
            "private" : {
              "url" : "https://artifacts.alfresco.com/nexus/content/groups/internal",
              "username" : "<%= ENV['NEXUS_USERNAME'] %>",
              "password" : "<%= ENV['NEXUS_PASSWORD'] %>"
            }
          }
        }
      },
      "alfresco" : {
        "version": "5.2.0",
        "mailsmtp_databag" : "credentials",
        "mailsmtp_databag_item" : "local"
      }
    }
